<a id="mypy-boto3-translate"></a>

# mypy-boto3-translate

[![PyPI - types-aiobotocore-translate](https://img.shields.io/pypi/v/types-aiobotocore-translate.svg?color=blue)](https://pypi.org/project/types-aiobotocore-translate)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-translate.svg?color=blue)](https://pypi.org/project/types-aiobotocore-translate)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-translate?color=blue)](https://pypistats.org/packages/types-aiobotocore-translate)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[boto3.Translate 1.20.47](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/translate.html#Translate)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[types-aiobotocore-translate docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_translate/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [mypy-boto3-translate](#mypy-boto3-translate)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `Translate`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `Translate` service.

```bash
python -m pip install types-aiobotocore[translate]
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[translate]` in your environment:
  `python -m pip install 'types-aiobotocore[translate]'`

Both type checking and auto-complete should work for `Translate` service. No
explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `types-aiobotocore[translate]` in your environment:
  `python -m pip install 'types-aiobotocore[translate]'`

Both type checking and auto-complete should work for `Translate` service. No
explicit type annotations required, write your `aiobotocore` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`types-aiobotocore` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[translate]` in your environment:
  `python -m pip install 'types-aiobotocore[translate]'`
- Run `mypy` as usual

Type checking should work for `Translate` service. No explicit type annotations
required, write your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `types-aiobotocore[translate]` in your environment:
  `python -m pip install 'types-aiobotocore[translate]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `Translate` service. No explicit type annotations
required, write your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`TranslateClient` provides annotations for
`session.create_client("translate")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_translate import TranslateClient

session = get_session()
with async session.create_client("translate") as client:
    client: TranslateClient
    # now client usage is checked by mypy and IDE should provide code auto-complete
```

<a id="paginators-annotations"></a>

### Paginators annotations

`types_aiobotocore_translate.paginator` module contains type annotations for
all paginators.

````python
from aiobotocore.session import get_session

from types_aiobotocore_translate import TranslateClient
from types_aiobotocore_translate.paginator import (
    ListTerminologiesPaginator,
)

session = get_session()
with async session.create_client("translate") as client:
    client: TranslateClient

    # Explicit type annotations are optional here
    # Type should be correctly discovered by mypy and IDEs
    # VSCode requires explicit type annotations
        list_terminologies_paginator: ListTerminologiesPaginator = client.get_paginator("list_terminologies")
    ```







### Literals

`types_aiobotocore_translate.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from types_aiobotocore_translate.literals import (
    DirectionalityType,
    EncryptionKeyTypeType,
    JobStatusType,
    ListTerminologiesPaginatorName,
    MergeStrategyType,
    ParallelDataFormatType,
    ParallelDataStatusType,
    ProfanityType,
    TerminologyDataFormatType,
    ServiceName,
    PaginatorName,
)

def check_value(value: DirectionalityType) -> bool:
    ...
````

### Typed dictionaries

`types_aiobotocore_translate.type_defs` module contains structures and shapes
assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_translate.type_defs import (
    AppliedTerminologyTypeDef,
    CreateParallelDataRequestRequestTypeDef,
    CreateParallelDataResponseTypeDef,
    DeleteParallelDataRequestRequestTypeDef,
    DeleteParallelDataResponseTypeDef,
    DeleteTerminologyRequestRequestTypeDef,
    DescribeTextTranslationJobRequestRequestTypeDef,
    DescribeTextTranslationJobResponseTypeDef,
    EncryptionKeyTypeDef,
    GetParallelDataRequestRequestTypeDef,
    GetParallelDataResponseTypeDef,
    GetTerminologyRequestRequestTypeDef,
    GetTerminologyResponseTypeDef,
    ImportTerminologyRequestRequestTypeDef,
    ImportTerminologyResponseTypeDef,
    InputDataConfigTypeDef,
    JobDetailsTypeDef,
    ListParallelDataRequestRequestTypeDef,
    ListParallelDataResponseTypeDef,
    ListTerminologiesRequestRequestTypeDef,
    ListTerminologiesResponseTypeDef,
    ListTextTranslationJobsRequestRequestTypeDef,
    ListTextTranslationJobsResponseTypeDef,
    OutputDataConfigTypeDef,
    PaginatorConfigTypeDef,
    ParallelDataConfigTypeDef,
    ParallelDataDataLocationTypeDef,
    ParallelDataPropertiesTypeDef,
    ResponseMetadataTypeDef,
    StartTextTranslationJobRequestRequestTypeDef,
    StartTextTranslationJobResponseTypeDef,
    StopTextTranslationJobRequestRequestTypeDef,
    StopTextTranslationJobResponseTypeDef,
    TermTypeDef,
    TerminologyDataLocationTypeDef,
    TerminologyDataTypeDef,
    TerminologyPropertiesTypeDef,
    TextTranslationJobFilterTypeDef,
    TextTranslationJobPropertiesTypeDef,
    TranslateTextRequestRequestTypeDef,
    TranslateTextResponseTypeDef,
    TranslationSettingsTypeDef,
    UpdateParallelDataRequestRequestTypeDef,
    UpdateParallelDataResponseTypeDef,
)

def get_structure() -> AppliedTerminologyTypeDef:
    return {
      ...
    }
```

## Versioning

`types-aiobotocore-translate` version is the same as related `boto3` version
and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/) format.

## Documentation

All type annotations can be found in
[types-aiobotocore-translate docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_translate/)

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
